PDA

Visualizza la versione completa : Patchare kernel 2.6 per pptpd


Pegasus
19-10-2005, 13:35
Seguendo questo tutorial
http://poptop.sourceforge.net/dox/debian-howto.phtml
ho letto che devo patchare il kernel per attivare la compressione, io
ho un kernel 2.6.13.1 e non trovo la patch adatta a questo kernel, ho
trovato solo questa
http://mppe-mppc.alphacron.de/linux-2.6.13-mppe-mppc-1.3.patch.gz
Come faccio? basta che modifico i riferimenti al suo interno?

gandamu
19-10-2005, 16:11
scarica il file di patch nella dir dove hai i sorgenti del kernel (di solito /usr/src/), controlla di aver i symlink giusti alla dir del kernel (in questo caso non basta il classico linux, vorrebbe un linux-2.6.13) e poi un bel patch -p0 -i NOMEPATCHFILE

dovrebbe andare

Pegasus
19-10-2005, 17:49
Grazie, ho ricompilato mppe come modulo, ma non va ancora


randa:/lib/modules/2.6.13.1# modprobe ppp-compress-18

neanche cosė


randa:/lib/modules/2.6.13.1# modprobe ppp_mppe

sempre questo errore

FATAL: Module ppp_mppe not found.

gandamu
19-10-2005, 17:57
prova a caricare " ppp_mppe_mppc " come nome modulo

gandamu
19-10-2005, 17:59
mi rispondo da solo, che mi sono scordato un pezzo

controlla in /etc/modules.conf di avere questo alias

" alias ppp-compress-18 ppp_mppe_mppc "

Pegasus
19-10-2005, 18:07
Si ok
ho risolto ma ho dovuto inserirlo anche in
/etc/modprobe.d/aliases
:ciauz:
grazie

Loading